<?php

namespace Drupal\drealty_reconciler\Plugin\QueueWorker;

use Drupal\Core\Queue\QueueWorkerBase;

/**
 * Process a queue of DRealty import.
 *
 * @QueueWorker(
 *   id = "drealty_reconciler",
 *   title = @Translation("DRealty reconcile"),
 *   cron = {"time" = 60}
 * )
 */
class DrealtyReconcilerQueue extends QueueWorkerBase {

  /**
   * Processes reconciler queue items.
   */
  public function processItem($data) {
    $reconcileService = \Drupal::service('drealty.reconciler');
    try {
      $reconcileService->processQueueItem($data);
    }
    catch (\Exception $e) {
      \Drupal::logger('drealty_reconciler')->error('An exception occurred while reconciling @entity entity ID = @nid. @exception @trace', [
        '@entity' => $data['entity_type'] . '__' . $data['bundle'],
        '@nid' => $data['id'],
        '@exception' => $e->getMessage(),
        '@trace' => $e->getTraceAsString(),
      ]);
    }
  }

}
