<?php

namespace Drupal\drealty\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 *
 */
interface ConnectionInterface extends ConfigEntityInterface {

  /**
   * @return string
   */
  public function getLoginUrl(): string;

  /**
   * @param string $loginUrl
   */
  public function setLoginUrl(string $loginUrl): void;

  /**
   * @return string
   */
  public function getUsername(): string;

  /**
   * @param string $username
   */
  public function setUsername(string $username): void;

  /**
   * @return string
   */
  public function getPassword(): string;

  /**
   * @param string $password
   */
  public function setPassword(string $password): void;

  /**
   * @return string
   */
  public function getUaString(): string;

  /**
   * @param string $uaString
   */
  public function setUaString(string $uaString): void;

  /**
   * @return string
   */
  public function getUaPassword(): string;

  /**
   * @param string $uaPassword
   */
  public function setUaPassword(string $uaPassword): void;

  /**
   * @return string
   */
  public function getVersion(): string;

  /**
   * @param string $version
   */
  public function setVersion(string $version): void;

  /**
   * @return bool
   */
  public function isUseInterealtyauth(): bool;

  /**
   * @param bool $useInterealtyAuth
   */
  public function setUseInterealtyauth(bool $useInterealtyAuth): void;

  /**
   * @return bool
   */
  public function isForceBasicauth(): bool;

  /**
   * @param bool $forceBasicAuth
   */
  public function setForceBasicauth(bool $forceBasicAuth): void;

  /**
   * @return bool
   */
  public function isUseCompression(): bool;

  /**
   * @param bool $useCompression
   */
  public function setUseCompression(bool $useCompression): void;

  /**
   * @return bool
   */
  public function isDisableEncodingfix(): bool;

  /**
   * @param bool $disableEncodingFix
   */
  public function setDisableEncodingfix(bool $disableEncodingFix): void;

  /**
   * @return bool
   */
  public function isDebugMode(): bool;

  /**
   * @param bool $debugMode
   */
  public function setDebugMode(bool $debugMode): void;

  /**
   * @return bool
   */
  public function isNomapMode(): bool;

  /**
   * @param bool $nomapMode
   */
  public function setNomapMode(bool $nomapMode): void;

  /**
   * @return string
   */
  public function getFormat(): string;

  /**
   * @param string $format
   */
  public function setFormat(string $format): void;

  /**
   * @return \Drupal\drealty\Entity\ResourceInterface[] | array
   */
  public function getResources();

  /**
   * @param \Drupal\drealty\Entity\ResourceInterface[] $resources
   */
  public function setResources($resources);

}
