<?php

namespace Drupal\drealty\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;

/**
 * Defines the drealty field entity type.
 *
 * @ConfigEntityType(
 *   id = "drealty_field",
 *   label = @Translation("DRealty field"),
 *   label_collection = @Translation("DRealty fields"),
 *   label_singular = @Translation("DRealty field"),
 *   label_plural = @Translation("DRealty fields"),
 *   label_count = @PluralTranslation(
 *     singular = "@count DRealty field",
 *     plural = "@count DRealty fields",
 *   ),
 *   handlers = {
 *     "list_builder" = "Drupal\drealty\FieldListBuilder",
 *     "form" = {
 *       "add" = "Drupal\drealty\Form\FieldForm",
 *       "edit" = "Drupal\drealty\Form\FieldForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm"
 *     }
 *   },
 *   config_prefix = "drealty_field",
 *   admin_permission = "administer drealty fields",
 *   links = {
 *     "collection" = "/admin/structure/drealty-field",
 *     "add-form" = "/admin/structure/drealty-field/add",
 *     "edit-form" = "/admin/structure/drealty-field/{drealty_field}",
 *     "delete-form" = "/admin/structure/drealty-field/{drealty_field}/delete"
 *   },
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "description",
 *     "systemname",
 *     "standardname",
 *     "longname",
 *     "datatype",
 *     "max_length",
 *     "field_precision",
 *     "interpretation",
 *     "lookupname",
 *     "class",
 *     "lastupdate"
 *   }
 * )
 */
class Field extends ConfigEntityBase implements FieldInterface {

  /**
   * The drealty field ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The drealty field label.
   *
   * @var string
   */
  protected $label;

  /**
   * The drealty field status.
   *
   * @var bool
   */
  protected $status;

  /**
   * The drealty_field description.
   *
   * @var string
   */
  protected $description;

}
