<?php

namespace Drupal\drealty\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;
use Drupal\drealty\FieldMappingInterface;

/**
 * Defines the drealty field mapping entity type.
 *
 * @ConfigEntityType(
 *   id = "drealty_field_mapping",
 *   label = @Translation("DRealty field mapping"),
 *   label_collection = @Translation("DRealty field mappings"),
 *   label_singular = @Translation("DRealty field mapping"),
 *   label_plural = @Translation("DRealty field mappings"),
 *   label_count = @PluralTranslation(
 *     singular = "@count DRealty field mapping",
 *     plural = "@count DRealty field mappings",
 *   ),
 *   handlers = {
 *     "list_builder" = "Drupal\drealty\FieldMappingListBuilder",
 *     "form" = {
 *       "add" = "Drupal\drealty\Form\FieldMappingForm",
 *       "edit" = "Drupal\drealty\Form\FieldMappingForm",
 *       "delete" = "Drupal\Core\Entity\EntityDeleteForm"
 *     }
 *   },
 *   config_prefix = "drealty_field_mapping",
 *   admin_permission = "administer drealty field mappings",
 *   links = {
 *     "collection" = "/admin/structure/drealty-field-mapping",
 *     "add-form" = "/admin/structure/drealty-field-mapping/add",
 *     "edit-form" =
 *   "/admin/structure/drealty-field-mapping/{drealty_field_mapping}",
 *     "delete-form" =
 *   "/admin/structure/drealty-field-mapping/{drealty_field_mapping}/delete"
 *   },
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   config_export = {
 *     "id",
 *     "label",
 *     "description"
 *   }
 * )
 */
class FieldMapping extends ConfigEntityBase implements FieldMappingInterface {

  /**
   * The drealty field mapping ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The drealty field mapping label.
   *
   * @var string
   */
  protected $label;

  /**
   * The drealty field mapping status.
   *
   * @var bool
   */
  protected $status;

  /**
   * The drealty_field_mapping description.
   *
   * @var string
   */
  protected $description;

}
