<?php

namespace Drupal\drealty\Metadata;

use Drupal\drealty\Entity\ConnectionInterface;
use PHRETS\Models\Metadata\Resource as PHRETSResource;

/**
 * RETS Resource.
 */
class Resource {

  /**
   * RETS connection ID.
   *
   * @var string
   */
  public $conid;

  /**
   * RETS SystemName field.
   *
   * @var string
   */
  public $systemname;

  /**
   * RETS Description field.
   *
   * @var string
   */
  public $description;

  /**
   * RETS last updated date.
   *
   * @var null|int
   */
  public $lastupdate;

  /**
   * RETS resource unique key field.
   *
   * @var string
   */
  public $keyfield;

  /**
   * Constructor.
   */
  public function __construct(ConnectionInterface $connection, PHRETSResource $resource) {
    $this->conid = $connection->id();
    $this->systemname = $resource->getResourceID();
    $this->description = $resource->getDescription();
    $this->lastupdate = strtotime($resource->getClassDate());
    $this->keyfield = $resource->getKeyField();
    $this->visiblename = $resource->getVisibleName();
    $this->standardname = $resource->getStandardName();
  }

}
