<?php

namespace Drupal\drealty\Metadata;

use Drupal\drealty\Entity\ConnectionInterface;
use PHRETS\Models\Metadata\ResourceClass;

/**
 * RETS Class metadata.
 */
class RetsClass {

  /**
   * RETS connection ID.
   *
   * @var string
   */
  public $conid;

  /**
   * RETS resource type.
   *
   * @var string
   */
  public $resource;

  /**
   * RETS SystemName field.
   *
   * @var string
   */
  public $systemname;

  /**
   * RETS STandardName field.
   *
   * @var string
   */
  public $standardname;

  /**
   * RETS VisibleName field.
   *
   * @var string
   */
  public $visiblename;

  /**
   * RETS Description field.
   *
   * @var string
   */
  public $description;

  /**
   * Updated date.
   *
   * @var null|int
   */
  public $timestampfield = 0;

  /**
   * Constructor.
   */
  public function __construct(ConnectionInterface $connection, ResourceClass $resource) {
    $this->conid = $connection->id();
    $this->resource = $resource->getResource();
    $this->systemname = $resource->getClassName();
    $this->standardname = $resource->getStandardName();
    $this->visiblename = $resource->getVisibleName();
    $this->description = $resource->getDescription();
    $this->timestampfield = $resource->getClassTimeStamp();
  }

}
